package com.yuanta.smartnet.sample.view.util;

import android.content.Context;
import android.content.pm.PackageManager;

/**
 * Created by hwannis on 2018. 2. 26..
 */

public class PermissionChecks {
    private final Context context;

    public PermissionChecks(Context context) {
        this.context = context;
    }

    public boolean lacksPermissions(String... permissions) {
        for (String permission : permissions) {
            if (lacksPermission(permission)) {
                return true;
            }
        }
        return false;
    }


    private boolean lacksPermission(String permission) {
        return context.checkCallingOrSelfPermission(permission) ==  PackageManager.PERMISSION_DENIED;
    }
}
